shishi_enckdcreppart_renew_till_set(3)

NAME
shishi_enckdcreppart_renew_till_set - API function

SYNOPSIS
#include <shishi.h>

int shishi_enckdcreppart_renew_till_set(Shishi * handle, Shishi_asn1 enckdcreppart, const char * renew_till);

ARGUMENTS

Shishi * handle
    shishi handle as allocated by shishi_init().

Shishi_asn1 enckdcreppart
    input EncKDCRepPart variable.

const char * renew_till
    character buffer containing a generalized time string.

DESCRIPTION
Set the EncTicketPart.renew-till to supplied value. Use a NULL value for renew_till to remove the field.

RETURN VALUE
Returns SHISHI_OK iff successful.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.